| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::CaptionEdit Class Reference
Inheritance diagram for Digikam::CaptionEdit:

## Signals
void | signalModified ()

## Public Member Functions
| CaptionEdit (QWidget *const parent)
AltLangStrEdit * | altLangStrEdit () const
QLineEdit * | authorEdit () const
QString | currentLanguageCode () const
void | reset ()
void | setCurrentLanguageCode (const QString &lang)
void | setPlaceholderText (const QString &msg)
void | setValues (const CaptionsMap &values)
CaptionsMap & | values () const
Public Member Functions inherited from Digikam::DVBox
| DVBox (QWidget *const parent=nullptr)
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Additional Inherited Members
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override